<p id="notice"><%= notice %></p>

<h1>Products</h1>


<%= link_to 'New Product', new_product_path, class: 'link-btn' %>

<br/>
<br/>

<table border="1" class="products">
  <thead>
    <tr>
      <th>Title</th>
      <th>Price</th>
      <th>Description</th>
      <th>Picture</th>
      <th colspan="2"></th>
    </tr>
  </thead>

  <tbody>
    <% @products.each do |product| %>
      <tr>
        <td><%= link_to product.title, product %></td>
        <td><%= number_to_currency product.price %></td>
        <td><%= truncate product.description, length: 120 %></td>
        <td><%= image_tag(product.picture_url, height: 64) if product.picture? %></td>
        <td><%= link_to 'Edit', edit_product_path(product) %></td>
        <td><%= link_to 'Destroy', product, method: :delete, data: { confirm: 'Are you sure?' } %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<%= paginate @products %>

<br/>

<%= link_to 'New Product', new_product_path, class: 'link-btn' %>
